ndelay_on(3)

NAME
ndelay_on - put file descriptor in non-blocking mode

SYNTAX
#include <ndelay.h> extern int ndelay_on(int fd);

DESCRIPTION
ndelay_on puts a file descriptor in non-blocking mode. Reading from and writing to non-blocking network sockets, FIFOs or device files will return immediately, even if not as many bytes have been processed as were specified. If an error occurred, ndelay_on will return nonzero and set errno accordingly.

SEE ALSO
fcntl(2), ndelay_off(3)